Bug 733650 - [abrt] scons-2.0.1-2.fc15: setup_platforms.py:83:select_compiler_version:KeyError: "Unknown version number 4.6 for compiler 'gcc'"
Summary: [abrt] scons-2.0.1-2.fc15: setup_platforms.py:83:select_compiler_version:KeyE...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scons
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: François Cami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f5d90d79c6ce8fd899990e27ecf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 11:14 UTC by Vytas
Modified: 2011-11-16 11:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-16 11:37:08 UTC


Attachments (Terms of Use)

Description Vytas 2011-08-26 11:14:03 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/bin/scons
comment:        build rosetta
component:      scons
executable:     /usr/bin/scons
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        scons-2.0.1-2.fc15
reason:         setup_platforms.py:83:select_compiler_version:KeyError: "Unknown version number 4.6 for compiler 'gcc'"
time:           Fri Aug 26 14:07:53 2011
uid:            500
username:       vytautas

backtrace:
:setup_platforms.py:83:select_compiler_version:KeyError: "Unknown version number 4.6 for compiler 'gcc'"
:
:Traceback (most recent call last):
:  File "/home/vytautas/bin/rosetta/rosetta_source/SConstruct", line 139, in main
:    build = SConscript("tools/build/setup.py")
:  File "/usr/lib/scons/SCons/Script/SConscript.py", line 614, in __call__
:    return method(*args, **kw)
:  File "/usr/lib/scons/SCons/Script/SConscript.py", line 551, in SConscript
:    return _SConscript(self.fs, *files, **subst_kw)
:  File "/usr/lib/scons/SCons/Script/SConscript.py", line 260, in _SConscript
:    exec _file_ in call_stack[-1].globals
:  File "/home/vytautas/bin/rosetta/rosetta_source/tools/build/setup.py", line 411, in <module>
:    build = setup()
:  File "/home/vytautas/bin/rosetta/rosetta_source/tools/build/setup.py", line 402, in setup
:    build.options_requested, build.options = setup_build_options()
:  File "/home/vytautas/bin/rosetta/rosetta_source/tools/build/setup.py", line 108, in setup_build_options
:    supported, actual.cxx, requested.cxx_ver
:  File "/home/vytautas/bin/rosetta/rosetta_source/tools/build/setup_platforms.py", line 83, in select_compiler_version
:    (actual, compiler)
:KeyError: "Unknown version number 4.6 for compiler 'gcc'"
:
:Local variables in innermost frame:
:requested: '*'
:actual: '4.6'
:versions: ['3.3', '3.4', '4.0', '4.1', '4.2', '4.3', '4.4', '4.5', '*']
:actual_full: '4.6.0'
:supported: {'log': ['environment', 'options', 'platform', 'projects', 'settings', 'targets', 'toplevel'], 'cxx': {'icc': ['8.0', '8.1', '9.0', '9.1', '10.0', '10.1', '11.1', '*'], 'msvc': ['7.0', '7.1', '8.0', '8.1', '*'], 'gcc': ['3.3', '3.4', '4.0', '4.1', '4.2', '4.3', '4.4', '4.5', '*'], 'xlc': ['7.0', '8.0', '9.0', 'XL', '*'], 'clang': ['2.0', '2.8', '2.9', '*']}, 'os': {'windows': ['2000', 'XP', 'Vista', '*'], 'macos': ['10.4', '*'], '*': ['*'], 'cygwin': ['*'], 'linux': ['2.6', '*']}, 'cat': ['src', 'external', 'test', 'doc'], 'extras': ['boinc', 'fastdocs', 'fulldocs', 'graphics', 'mpi', 'runtimecheck', 'valgrind', 'static', 'gprof', 'gcov', 'rosetta_float', 'boost', 'omp', 'mysql'], 'mode': ['debug', 'release', 'release_debug', 'profile', 'coverage', 'pyrosetta'], 'arch': {'ppc': ['32', '64', '*'], 'x86': ['32', '64', '*'], '*': ['*'], 'ppc64': ['64'], 'amd': ['32', '64', '*'], 'ia64': ['64', '*'], 'power4': ['32', '64', '*']}}
:compiler: 'gcc'

Comment 1 Aravind vijayan 2011-09-05 12:57:57 UTC
I believe it is not an error of gcc or scons and from i believe you can fix this issue by altering "tools/build/user.settings" in rosetta the same problem was discussed in the below pages.

Would you please go through these pages:

http://www.rosettacommons.org/content/rosetta-321-installation-fedora-core-6
http://www.rosettacommons.org/node/2269#comment-2795
http://www.rosettacommons.org/node/2264
http://www.rosettacommons.org/content/problems-installing-rosetta-centos-fixed#comment-1999




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 François Cami 2011-11-15 20:02:01 UTC
Vytas, could you please confirm Aravind's urls provided a workable solution?

Comment 3 Vytas 2011-11-16 11:36:42 UTC
Sry, this was made with ABRT and I do not remember what I was doing.


Note You need to log in before you can comment on or make changes to this bug.